# $Revision: 1.22 $, $Date: 2006/12/23 11:45:37 $
#
# Don't touch this! strip removes all symbols from library
%define		no_install_post_strip		1
#
Summary:	Open Phone Abstraction Library (aka OpenH323 v2)
Summary(pl):	Biblioteka Open Phone Abstraction Library (aka OpenH323 v2)
Name:		opal
Version:	2.2.3
Release:	2
License:	MPL
Group:		Libraries
Source0:	http://www.ekiga.org/admin/downloads/latest/sources/sources/%{name}-%{version}.tar.gz
# Source0-md5:	fc1fedd3406e2e74472cc4312cbbfd6a
Patch0:		%{name}-libname.patch
Patch1:		%{name}-mak_files.patch
URL:		http://www.openh323.org/
BuildRequires:	libstdc++-devel
BuildRequires:	pwlib-devel >= 1.10.0
BuildRequires:	sed >= 4.0
BuildRequires:	speex-devel >= 1:1.1.5
%requires_eq	pwlib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OPAL project aims to create a full featured, interoperable,
Open Source implementation of the ITU H.323 teleconferencing protocol
that can be used by personal developers and commercial users without
charge.

%description -l pl
Celem projektu OPAL jest stworzenie w peni funkcjonalnej i
wyposaonej implementacji protokou telekonferencyjnego ITU H.323,
ktry moe by uywany przez uytkownikw prywatnych i komercyjnych
bez opat.

%package devel
Summary:	Opal development files
Summary(pl):	Pliki dla developerw Opal
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	pwlib-devel

%description devel
Header files and libraries for developing applications that use
OPAL.

%description devel -l pl
Pliki nagwkowe i biblioteki konieczne do rozwoju aplikacji
uywajcych OPAL.

%package static
Summary:	OPAL static libraries
Summary(pl):	Biblioteki statyczne OPAL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
OPAL static libraries.

%description static -l pl
Biblioteki statyczne OPAL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPALDIR=`pwd`; export OPALDIR
OPAL_BUILD="yes"; export OPAL_BUILD
%configure 

%{__make} %{?debug:debug}%{!?debug:opt} \
	CC="%{__cc}" \
	CPLUS="%{__cxx}" \
	OPTCCFLAGS="%{rpmcflags} %{!?debug:-DNDEBUG}"

%{__make} -C samples/simple %{?debug:debug}%{!?debug:opt} \
	CC="%{__cc}" \
	CPLUS=%{__cxx} \
	OPTCCFLAGS="%{rpmcflags} %{!?debug:-DNDEBUG}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/opal,%{_bindir},%{_datadir}/%{name}}

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

# using cp as install won't preserve links
cp -d lib/lib*.a $RPM_BUILD_ROOT%{_libdir}
install version.h $RPM_BUILD_ROOT%{_includedir}/opal
install samples/simple/obj_*/simpleopal $RPM_BUILD_ROOT%{_bindir}
sed -i -e 's@\$(OPALDIR)/include@&/opal@' \
       -e 's@\$(OPALDIR)/lib@\$(OPALDIR)/%{_lib}@' $RPM_BUILD_ROOT%{_datadir}/opal/opal_inc.mak

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opal.spec,v $
Revision 1.22  2006/12/23 11:45:37  czarny
- rel 2 to rebuild with new pwlib

Revision 1.21  2006/11/12 19:35:47  rotom
- up to 2.2.3

Revision 1.20  2006/08/27 16:06:32  rotom
- up to 2.2.2

Revision 1.19  2006/08/09 11:34:02  arekm
- rel 3

Revision 1.18  2006/05/24 08:46:53  qboosh
- missing digit

Revision 1.17  2006/05/18 20:36:05  darekr
- BR sed 4.0

Revision 1.16  2006/05/18 18:40:26  baggins
- fixed mak on x8664

Revision 1.15  2006/05/18 18:37:05  baggins
- release 2
- fixed install on x8664

Revision 1.14  2006/05/18 17:55:47  baggins
- don't strip
- release 1

Revision 1.13  2006/05/18 17:30:25  baggins
- typo

Revision 1.12  2006/05/18 17:29:25  baggins
- RSN

Revision 1.11  2006/05/18 16:52:31  baggins
- almost...

Revision 1.10  2006/05/17 17:57:56  baggins
- WIP

Revision 1.9  2006/04/11 22:27:16  wolvverine
- clean

Revision 1.8  2006/03/25 21:49:50  wolvverine
- up to 2.2.1
- NFY

Revision 1.7  2006/03/16 11:11:38  glen
- why was the url changed?

Revision 1.6  2006/03/16 09:53:26  wolvverine
- NFY
- new version 2.1.3 RC1
- bug g++ ???

Revision 1.5  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.4  2006/02/17 14:12:24  aflinta
- up to 2.1.3

Revision 1.3  2006/02/05 13:36:43  aflinta
- first try to build new version, opal_inc.mak needs fixes

Revision 1.2  2003/05/25 05:51:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/24 12:39:11  blues
- initial release - does not build - this will in the future replace
  openh323 (more protocols supported, i.e. sip).
  There are problems propably with gcc2 (I don't have gcc3)

